Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Oct 2019 15:54:08 +0300

> From: Andrey Orst <[email-masked]>
> Date: Thu, 17 Oct 2019 12:20:36 +0300
> Cc: [email-masked]
> 
> Though here's an example why old behavior is better, and it's based on
> other apps, since I see that you value this argument, by referring to
> external word processors. Emacs has a built in merge tool: Ediff, and
> it is also used for diffing buffers side by side, and it's way more
> natural to see extended highlighting, as it is done in other merge
> tools outside Emacs.

What would happen in your Ediff example if the face for added lines
were customized to have a distinct foreground color, leaving the
background color at its default?  That's what "git diff" shows on a
terminal.